# $Revision: 1.17 $, $Date: 2007/02/13 08:06:40 $
%define		_modname	pop3
%define		_status		stable
Summary:	POP3 Client Library
Summary(pl.UTF-8):	Biblioteka klienta POP3
Name:		php-pecl-%{_modname}
Version:	1.0.2
Release:	7
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{_modname}-%{version}.tgz
# Source0-md5:	cdbe4f41aa37bcf45e651d5568f3a8d2
Patch0:		%{name}-php51.patch
URL:		http://pecl.php.net/package/POP3/
BuildRequires:	libspopc-devel
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.344
%{?requires_php_extension}
Requires:	php-common >= 4:5.0.4
Obsoletes:	php-pear-%{_modname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The POP3 extension makes it possible for a PHP script to connect to
and interact with a POP3 mail server. Based on libspopc
(http://brouits.free.fr/libspopc/), it is built for performance and
ease of use.

In PECL status of this package is: %{_status}.

%description -l pl.UTF-8
Rozszerzenie POP3 umożliwia skryptowi PHP podłączenie i współpracę z
serwerem POP3. Biblioteka bazująca na libspopc
(http://brouits.free.fr/libspopc/), stworzona została z myślą o
wydajności i łatwości użycia.

To rozszerzenie ma w PECL status: %{_status}.

%prep
%setup -q -c
%patch0 -p1

%build
cd %{_modname}-%{version}
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}

install %{_modname}-%{version}/modules/%{_modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{_modname}.ini
; Enable %{_modname} extension module
extension=%{_modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc %{_modname}-%{version}/{CREDITS,EXPERIMENTAL}
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{_modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{_modname}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pecl-pop3.spec,v $
Revision 1.17  2007/02/13 08:06:40  glen
- tabs in preamble

Revision 1.16  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.15  2007/01/02 20:03:33  glen
- use new php extension related macros

Revision 1.14  2006/12/13 23:01:03  glen
- rel 7 (php 5.2.0)

Revision 1.13  2006/11/02 23:09:09  glen
- BR rpmmacros for fixed %requires_php_extension

Revision 1.12  2005/12/22 23:38:02  adamg
- fix build with php5.1
- release 6

Revision 1.11  2005/12/22 12:12:04  glen
- rel 5 (rebuild with new php)

Revision 1.10  2005/10/30 13:29:27  glen
- rel 4

Revision 1.9  2005/10/29 00:05:14  glen
- rebuild with zts and debug requires

Revision 1.8  2005/09/14 22:31:22  glen
- rel 2

Revision 1.7  2005/09/14 13:37:00  glen
- conf.d and php api macros

Revision 1.6  2005/09/13 21:16:43  glen
- superfluous BR libtool removed

Revision 1.5  2005/07/27 06:52:39  adamg
- updated to 1.0.2

Revision 1.4  2004/05/30 16:00:54  adamg
- fixed english information about status of the package (also s/PEAR/PECL/)

Revision 1.3  2004/01/11 19:03:39  qboosh
- capitalization, formatting

Revision 1.2  2004/01/11 13:33:49  adamg
- added BR: libspopc-devel

Revision 1.1  2004/01/11 12:52:47  adamg
- initial import
